'use strict';

var ListaRelatorioController = angular.module('ListaRelatorioController', []);

ListaRelatorioController.controller('ListaRelatorioCtrl', ['$scope', '$location', '$routeParams', 'CacheApp',
  ($scope, $location, $routeParams, CacheApp) => {

      $scope.detalheRelatorio = (relatorio) => {
        $location.path('/' + relatorio.Url);
      }

      $scope.AcessoAndroid($routeParams, (sim) => {
          $scope.AcessoMobile = sim;
          $scope.construcao = CacheApp.getConstrucao();

          $scope.relatorios = [
              { Id: 0, Descricao: 'Curva ABC de Serviços', Permissao: 'GET_CURVAABC', Url: 'curvaabc' },
              { Id: 1, Descricao: 'Curva ABC de Insumos', Permissao: 'GET_RELATCURVAABCMEDICAO', Url: 'curvaabcmedicaoitem' },
              { Id: 2, Descricao: 'Orçamento Analítico de Custo', Permissao: 'GET_ORCAMENTOANALITICO', Url: 'orcamentoanalitico' },
              { Id: 3, Descricao: 'Orçamento Sintético de Custo', Permissao: 'GET_ORCAMENTOANALITICO', Url: 'orcamentosintetico' },
              { Id: 4, Descricao: 'Orçamento Analítico com BDI e Encargos Sociais', Permissao: 'GET_ORCAMENTOBDI', Url: 'orcamentobdiexplicito' },
              { Id: 5, Descricao: 'Orçamento Sintético com BDI e Encargos Sociais', Permissao: 'GET_ORCAMENTOBDI', Url: 'orcamentobdiexplicitosintetico' },
              { Id: 6, Descricao: 'Orçamento Analítico para Proposta', Permissao: 'GET_ORCAMENTOPROPOSTA', Url: 'orcamentobdicliente' },
              { Id: 7, Descricao: 'Orçamento Sintético para Proposta', Permissao: 'GET_ORCAMENTOPROPOSTA', Url: 'orcamentobdiclientesintetico' },
              { Id: 25, Descricao: 'Orçamento Analítico Para Proposta (MDO x MAT)', Permissao: 'GET_ORCAMENTOANALITICO', Url: 'orcamentoanaliticomatxmdo' },
              { Id: 26, Descricao: 'Orçamento Analítico Para Licitação', Permissao: 'GET_ORCAMENTOANALITICO', Url: 'orcamentoanaliticolicitacao' },
              { Id: 8, Descricao: 'Cronograma Físico Financeiro', Permissao: 'GET_RELATCRONFISICOFINANCEIRO', Url: 'cronogramaff' },
              { Id: 24, Descricao: 'Cronograma Resumido', Permissao: 'GET_RELATCRONFISICOFINANCEIRO', Url: 'cronogramaresumido' },
              { Id: 21, Descricao: 'Gráfico de Gantt', Permissao: 'GET_RELATCRONFISICOFINANCEIRO', Url: 'ganttchart' },
              { Id: 22, Descricao: 'Acompanhamento do Cronograma', Permissao: 'GET_RELATCRONFISICOFINANCEIRO', Url: 'ganttchartmeasure' },
              { Id: 23, Descricao: 'Composição de Preços Unitários', Permissao: 'GET_RELATCOMPOSICAO', Url: 'relatoriocomposicao' },
              { Id: 10, Descricao: 'Boletim de Medição', Permissao: 'GET_BOLETIMMEDICAOI', Url: 'boletimmedicao' },
              { Id: 11, Descricao: 'Boletim de Medição Cliente', Permissao: 'GET_BOLETIMMEDICAOCLIENTE', Url: 'boletimmedicaocliente' },
              { Id: 12, Descricao: 'Medição por Período', Permissao: 'GET_BOLETIMMEDICAOI', Url: 'medicaoperiodo' },
              { Id: 13, Descricao: 'Relatório Analítico de Lançamentos', Permissao: 'GET_RELATCUSTO', Url: 'relatoriocustoobra' },
              { Id: 14, Descricao: 'Relatório Sintético de Lançamentos', Permissao: 'GET_RELATCUSTO', Url: 'custoobrasintetico' },
              { Id: 15, Descricao: 'Relatório Orçado X Realizado', Permissao: 'GET_ORCAMENTOCUSTO', Url: 'relatorioorcadocustoobra' },
              { Id: 16, Descricao: 'Relatório BDI', Permissao: 'GET_RELATORIOBDI', Url: 'relatoriobdi' },
              { Id: 17, Descricao: 'Relatório de Lançamentos Por Categoria', Permissao: 'GET_RELATORIOCUSTOCATEGORIA', Url: 'relatoriocustocategoria' },
              { Id: 18, Descricao: 'Relatório Contas a Pagar', Permissao: 'GET_RELATORIODEBITOPERIODO', Url: 'relatoriodebitoperiodo' },
              { Id: 19, Descricao: 'Relatório Contas a Receber', Permissao: 'GET_RELATORIOCREDITOPERIODO', Url: 'relatoriocreditoperiodo' },
              { Id: 20, Descricao: 'Relatório de Ocorrências', Permissao: 'GET_RELATORIOOCORRENCIAS', Url: 'relatorioocorrencia' },
              { Id: 21, Descricao: 'Relatório Fotográfico', Permissao: 'GET_RELATORIOFOTOGRAFICO', Url: 'relatoriofotografico' },
              { Id: 27, Descricao: 'Lista Compras', Permissao: 'GET_COMPRA_SOLICITACAO,GET_COMPRA_ALMOXARIFADO,GET_COMPRA_COTACAO,GET_COMPRA_ANALISE,GET_COMPRA_APROVADA,GET_COMPRA_ENTREGUE,GET_COMPRA_RETIRADA_ALMOXARIFADO', Url: 'relatoriocompras' },
              { Id: 28, Descricao: 'Lista Almoxarifado', Permissao: 'GET_ALMOXARIFADO', Url: 'relatorioalmoxarifado' },

          ];

      });


  }]);
